#
# spec file for package bootsplash (Version 3.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libnscd libstdc++ libtiff libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           bootsplash
BuildRequires:  freetype2-devel libjpeg-devel libmng-devel
URL:            http://www.bootsplash.org/
Version:        3.3
Release:        17.2
Summary:        Graphical System Boot Utilities
License:        GPL
Group:          System/Boot
Autoreqprov:    on
PreReq:         %insserv_prereq %fillup_prereq coreutils
Obsoletes:      splashanim
Provides:       splashanim
Requires:       bootsplash-theme
Source0:        bootsplash-%{version}.tar.bz2
#Patch:        bootsplash-%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The bootsplash package contains utilities and scripts for displaying
graphics, animations, or text when the system boots. To use bootsplash,
you also need a bootsplash theme that contains pictures and
configuration files. Find information about bootsplash at
http://www.bootsplash.org/.



Authors:
--------
    Stefan Reinauer <stepan@suse.de>
    Kenneth W. Wimer <wimer@suse.de>

%debug_package
%prep
%setup 

%build
cd Utilities
PREFIX=%{_exec_prefix} LIB=%{_lib} make

%install
# create directory structure
mkdir -p ${RPM_BUILD_ROOT}/sbin
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin
mkdir -p ${RPM_BUILD_ROOT}/etc/bootsplash/themes
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d
mkdir -p ${RPM_BUILD_ROOT}/var/adm/fillup-templates
# copy program files
cd Utilities
install -m 755 fbmngplay    ${RPM_BUILD_ROOT}/usr/sbin
install -m 755 fbtruetype   ${RPM_BUILD_ROOT}/usr/sbin
install -m 755 splash       ${RPM_BUILD_ROOT}/sbin
install -m 755 splashpbm    ${RPM_BUILD_ROOT}/sbin
install -m 755 fbresolution ${RPM_BUILD_ROOT}/sbin
# copy scripts
cd ../Scripts
ln -s splash ${RPM_BUILD_ROOT}/sbin/splash.bin
install -m 755 bootanim     ${RPM_BUILD_ROOT}/sbin
install -m 755 splash_early ${RPM_BUILD_ROOT}/etc/init.d
install -m 755 rcsplash     ${RPM_BUILD_ROOT}/etc/init.d/splash
ln -sf ../../etc/init.d/splash ${RPM_BUILD_ROOT}/usr/sbin/rcsplash
install -m 644    sysconfig.bootsplash $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.bootsplash 

%post
# add start/stop links
%{insserv_force_if_yast etc/init.d/splash_early }
%{insserv_force_if_yast etc/init.d/splash }
%{fillup_only bootsplash }
#test -e /dev/bootsplash || (umask 077 ; mknod /dev/bootsplash p) || :

%preun
cd etc/bootsplash/themes
test -L current || exit 0
rm -f current

%postun
%{insserv_cleanup}

%files
%defattr(-,root,root)
%doc Documentation/*
/sbin/bootanim
/usr/sbin/fbmngplay
/usr/sbin/fbtruetype
/sbin/fbresolution
/sbin/splash
/sbin/splashpbm
/sbin/splash.bin
#%ghost /dev/bootsplash
%dir /etc/bootsplash
%dir /etc/bootsplash/themes
%config /etc/init.d/splash_early
%config /etc/init.d/splash
%config /var/adm/fillup-templates/sysconfig.bootsplash
/usr/sbin/rcsplash

%changelog -n bootsplash
* Fri Mar 24 2006 - mls@suse.de
- fix initframes in verbose mode
* Fri Mar 24 2006 - mls@suse.de
- move socket to /dev [#119854]
- fix single image animation segfault
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 05 2005 - dmueller@suse.de
- add norootforbuild
* Thu Sep 01 2005 - mls@suse.de
- splash: close stdin/out/err when going in daemon mode [#105999]
* Thu Sep 01 2005 - mls@suse.de
- remove jpeg file test [#99355]
* Wed Aug 03 2005 - mls@suse.de
- version 3.3: support color/alpha in mngs
* Mon Jul 25 2005 - mls@suse.de
- moved fbmngplay and fbtruetype to /usr/sbin as they link against
  libraries in /usr/lib
* Mon Mar 14 2005 - mls@suse.de
- don't return status 5 on "splash stop" if splash is not running
  [#65876]
* Mon Mar 07 2005 - mls@suse.de
- support for 'refresh' frame option
- support for 'origin' anim option
* Fri Feb 18 2005 - mls@suse.de
- splash: add '-c' option to write cpio archive
* Fri Feb 11 2005 - mls@suse.de
- use /lib/bootsplash/control instead of /var/run/bootsplashctl
  [#48494]
* Wed Sep 29 2004 - mls@suse.de
- removed scanconfig, we now use finishconfig() to finish
  config processing
- added oneshot and nosetsid options
* Mon Sep 27 2004 - mls@suse.de
- fix memory leak
* Thu Sep 23 2004 - mls@suse.de
- use libmng-mini so splash works if /usr is not mounted
- bump version to 3.2
* Thu Sep 23 2004 - mls@suse.de
- use animbox to ensure consistency with the kernel data
- add progress bar animation
- use $SPLASHCFG if config is not set on the command line
- add stopanim and toverbose trigger types
* Sun Sep 19 2004 - mls@suse.de
- deleted unneeded splash_late
- updated splash utility
- create bootsplashctl pipe in /var/run
* Thu Apr 22 2004 - mls@suse.de
- fix compile problems in splash/mng/splashpbm
* Thu Apr 01 2004 - stepan@suse.de
- ignore includeprog in splash.sh
- call splash.bin instead of splash in rcsplash
* Thu Feb 19 2004 - stepan@suse.de
- update splash utility and add splashpbm
* Wed Jan 07 2004 - ro@suse.de
- fix build with new freetype
* Mon Aug 18 2003 - snwint@suse.de
- removed gfxboot from #neededforbuild
* Thu Aug 14 2003 - stepan@suse.de
- call fbtruetype instead of fbtruetype.static in splash.sh
  (fixes bug #28792)
* Sat Aug 09 2003 - stepan@suse.de
- simplify bootsplash package. pack everything that is still used
  into one tarball.
- remove animations.cfg parser from splash.bin and put it into
  splash.sh where it belongs.
- don't call splash.bin from splash.sh anymore (not needed)
* Tue Jun 03 2003 - stepan@suse.de
- dynamically get bootsplash theme name instead of generating
  symbolic link "current".
- drop SuSEconfig.bootsplash
* Wed Apr 09 2003 - stepan@suse.de
- add box() to bootanim script for v3 themes.
- remove sysconfig theme files
- fix missing ); in bootsplash-maker
- Update documentation
* Thu Mar 20 2003 - stepan@suse.de
- apply all patches again (master is out)
- move themes to /etc/bootsplash/themes to solve
  "/usr on different partition" problem cleanly
- move all themes to following 2 packages:
  * bootsplash-theme-SuSE
  * bootsplash-theme-SuSE-classic
* Wed Mar 12 2003 - stepan@suse.de
- update SuSE theme to newer, nicer toad
* Mon Mar 10 2003 - stepan@suse.de
- use static version of fbtruetype (bug #24943)
- embed luxisri.ttf into fbtruetype (bug #24943)
- have SuSEconfig.bootsplash copy the theme config files to
  /etc/bootsplash and have splash.sh read them from there if
  it's not available via /usr/share/splash/themes (bug #24943)
- check if silent splash is actually shown before
  printing text (bug #24920)
* Fri Mar 07 2003 - stepan@suse.de
- fix typo in splash.sh
* Fri Mar 07 2003 - stepan@suse.de
- add scripts-beautify.diff:
  * change to vt1 when rebooting.
  * only print text when attributes defined in theme config file
* Thu Mar 06 2003 - stepan@suse.de
- update scripts-v3.diff:
  * repaint text after kbd screen refresh
  * add -n and -f to wrapper splash.sh
- add scripts-sbin.diff (fix bootanim script)
- update splashutils-verboseonly.diff (fix -n)
- bootsplash-maker: fix colors
* Wed Mar 05 2003 - stepan@suse.de
- update scripts-v3.diff:
  * No switch back to silent mode
  * check whether splash=silent was chosen before switching
  shutdown silent
- update SuSE-Theme (fix text coordinates for low resolutions)
* Tue Mar 04 2003 - stepan@suse.de
- add -n (dont add silent picture, even if there is one) to
  splash utility
* Mon Mar 03 2003 - stepan@suse.de
- update splash.sh to paint progress bar right to the end
* Sat Mar 01 2003 - snwint@suse.de
- boot loader splash created in gfxboot package
* Thu Feb 27 2003 - stepan@suse.de
- update splash utility to match bootsplash patch 3.0.3.
- update splash.sh to use instant verbose switching and
  progress updating via /proc
- new SuSE theme pictures for silent mode
- update SuSE theme config for v3.0.3
* Wed Feb 19 2003 - stepan@suse.de
- add fbprogress
- add scripts-fbprogress.diff
* Thu Feb 13 2003 - stepan@suse.de
- getkey: restore terminal settings
* Mon Feb 10 2003 - ro@suse.de
- make it build
* Tue Feb 04 2003 - stepan@suse.de
- update SuSE theme, move progress bar to the top (bug #23190)
* Mon Feb 03 2003 - ro@suse.de
- splash is in /sbin not /bin: fix rcsplash
* Tue Jan 28 2003 - stepan@suse.de
- make ttf text size, color and position configurable.
- update splash.sh wrapper to show F10 text correctly
- remove bootsplash-config (obsolete)
- update splash utility to write bootsplash v3 header
  (needs kernel patch bootsplash-2.1.9 to use new format)
- exchange times.ttf with luxisri.ttf
- SuSE Theme: add missing resolution config files/pictures
* Mon Jan 27 2003 - stepan@suse.de
- SuSE-Theme: update .config for 1024x768 and 800x600
- splash.sh: fix proc interpretion
- fix file list
- set default path in fbtruetype
* Wed Jan 22 2003 - stepan@suse.de
- add OpenSchool theme.
- add getkey to splashutils
- simplify spec file
- update SuSE theme for 8.2 preview.
- add SuSE 8.1 theme to SuSE-classic package
- splash.sh: analyze key strokes in startup scripts and
  render text messages for verbose mode.
* Fri Jan 03 2003 - stepan@suse.de
- add sysconfig metadata
- sync OfficeDesktop theme
- update splash.sh
- use splash.sh as wrapper as proposed for OfficeDesktop update
- add fbtruetype, a truetype text renderer for fbcon
- add bootsplash-maker, a tool to create bootsplash themes
* Thu Nov 21 2002 - stepan@suse.de
- splash.sh: check whether splash is actually active.
- Theme-OfficeDesktop: update config files.
* Mon Nov 18 2002 - stepan@suse.de
- add splash.sh for progress bar handling
- add OfficeDesktop theme
- update fbresolution
- update splash for progress bar variables
* Fri Oct 25 2002 - stepan@suse.de
- change ownership of OpenXchange theme pictures to root.root
* Fri Oct 25 2002 - stepan@suse.de
- update OpenXchange theme to contain UL brand
* Thu Oct 17 2002 - stepan@suse.de
- add theme for OpenXchange server.
* Mon Oct 14 2002 - stepan@suse.de
- move some root-only binaries to /sbin
- apply patches to archives
* Wed Oct 09 2002 - kukuk@suse.de
- The UnitedLinux Theme package on SLES8 also contains the SLES
  theme and use that by default. [Bug #20609]
* Thu Sep 26 2002 - ro@suse.de
- use sles own theme for bootlogo
* Thu Sep 26 2002 - ro@suse.de
- re-activate UL bootlogo and copy for SLES
* Thu Sep 26 2002 - wimer@suse.de
- new SLES8 pictures and config files.
* Wed Sep 25 2002 - stepan@suse.de
- remove bootloader message file for united linux
* Mon Sep 23 2002 - stepan@suse.de
- add SuSE-SLES theme.
- change UnitedLinux theme pictures.
- change README.themes to mention the bootanim wrapper script.
* Tue Sep 10 2002 - wimer@suse.de
- added new animations.
* Fri Sep 06 2002 - stepan@suse.de
- delay fade-out of network animation
- new network animation
- remove second shutdown animation.
- Use "UnitedLinux" as default theme when the according
  theme package is installed first.
* Wed Sep 04 2002 - stepan@suse.de
- fix bug in SuSE/UnitedLinux theme's animations.cfg
- three new animations for SuSE theme
* Tue Sep 03 2002 - stepan@suse.de
- add bootanim wrapper script
- get animation position from config files
- rename splash.dsc to animations.cfg
- add "fbresolution" and "progress" utilities
- remove PreReq: bootsplash for theme packages also [ BUG #18822 ]
* Mon Sep 02 2002 - stepan@suse.de
- new pictures (lighter text background)
* Sun Sep 01 2002 - stepan@suse.de
- fix animation config path in splash.c
- fix animation y position for yres=1200
* Fri Aug 30 2002 - stepan@suse.de
- correct file permissions after previous changes.
- remove Requires: bootsplash for theme packages. [ BUG #18627 ]
* Wed Aug 28 2002 - mls@suse.de
- better offsets for new pictures
* Mon Aug 26 2002 - stepan@suse.de
- Add Provides/Requires for automatic selection of default theme
* Fri Aug 23 2002 - stepan@suse.de
- clean up config files
- new splash pictures for 8.1
- slash picture for 7.2
- fbmngplay: change option -p to allow animations to run
  on the left side of the screen.
* Thu Aug 22 2002 - kukuk@suse.de
- Fix typo in spec file
* Wed Aug 21 2002 - stepan@suse.de
- fix build on non x86(-64) platforms
- add Obsoletes and Provides tags
* Wed Aug 21 2002 - stepan@suse.de
- use gfxboot package to create bootloader themes.
- new key.mng for SuSE and UnitedLinux theme.
* Tue Aug 20 2002 - stepan@suse.de
- SuSE-Hammer is a theme now.
- add classic SuSE themes
- add united linux theme
- let SuSEconfig.bootsplash know about the bootloader stuff.
* Mon Aug 19 2002 - kukuk@suse.de
- Hard requires of init sripts should be "should" requires
* Fri Aug 16 2002 - stepan@suse.de
- fix bug  #17913 (typo in sysconfig/bootsplash)
- use SuSEconfig script instead of postinstall to set
  current theme.
* Tue Aug 13 2002 - stepan@suse.de
- fix postinstall
- fix prereq
- add hammer splash pictures.
- fix sysconfig
* Thu Aug 08 2002 - stepan@suse.de
- initial theming support.
- resort old graphics to theme "SuSE"
- rename package from splashanim to bootsplash
- update prereq to include date
  (%%post backups old default theme if it's a directory)
* Sun Aug 04 2002 - stepan@suse.de
- added prereq tag
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Wed Jul 10 2002 - mls@suse.de
- removed bogus rc.config references
* Thu Jun 13 2002 - stepan@suse.de
- fix splash_late to check for runlevel S before
  doing numerical tests.
* Wed Jun 12 2002 - ro@suse.de
- use new macro for simple insserv call
  (adds a "-f" if in autobuild or under YaST)
* Thu May 23 2002 - stepan@suse.de
- don't use subshell in postinstall scripts
- fix postinstall scripts so that they find insserv again
* Wed May 22 2002 - stepan@suse.de
- use relative pathnames in postinstall/postuninstall sections
* Thu Apr 18 2002 - stepan@suse.de
- cleaner fix for lib/lib64
- include patches in source tree and push version number.
* Mon Mar 25 2002 - stepan@suse.de
- removed nice -20 during shutdown (still there for bootup)
  due to request of cfischer
* Fri Mar 22 2002 - mls@suse.de
- fixed text area offsets
- use splashV2 format, add meaningful penguin areas
* Wed Mar 20 2002 - stepan@suse.de
- Add two lower quality picture versions for boot disks.
* Tue Mar 19 2002 - stepan@suse.de
- new utility: bootsplash-config. This calculates a
  bootsplash.cfg file from absolute coordinates.
- use bootsplash-config in spec file, remove handmade config
  files.
- new pictures.
* Mon Mar 18 2002 - stepan@suse.de
- patch fbmngplay to check correctly for current console while
  drawing frames. Allow delayed background buffering.
- remove some obsolete code
- change splash.dsc according to the above changes.
- start fbmngplay with nice -20 to be nicer to slow machines.
* Mon Mar 18 2002 - wimer@suse.de
- removed obsolete "hide the penguin" call
* Sun Mar 17 2002 - wimer@suse.de
- changed to new design for 8.0
* Mon Feb 25 2002 - mls@suse.de
- typo fixed in README.cfg
* Thu Feb 21 2002 - stepan@suse.de
- bytes per line might differ from the value calculated using
  width and depth. Ask kernel directly to keep screen garbage
  away.
* Wed Feb 06 2002 - stepan@suse.de
- Search libraries in /usr/lib64 on s390x.
* Thu Jan 24 2002 - mls@suse.de
- added '-s' option to splash program.
- added rcsplash to configure the virtual consoles' splash screens
* Wed Sep 26 2001 - stepan@suse.de
- make all killalls quiet.
* Tue Sep 25 2001 - stepan@suse.de
- fixed splash_late to show animations only when going to
  runlevel 6 or 0.
- fixed text coordinates in CFG files.
- updated animation for fsck (safes a lot of memory).
* Mon Sep 24 2001 - stepan@suse.de
- fixed bootup/shutdown race (end running fbmngplay processes
  before running shutdown animations)
* Thu Sep 20 2001 - stepan@suse.de
- new pictures for 1280x1024 and 800x600 (signature free)
- get rid of old fsck and early initrd animation.
- some updated animations
- fbmngplay updated for 7.3 (output handling)
- switch off penguin on bootconsole when final runlevel is
  reached. May be switched on again by doing echo 2 >/proc/splash
  twice
* Wed Sep 19 2001 - stepan@suse.de
- fbmngplay: ignore multiple USR1 signals to prevent halt animation
  to stop too early.
- fbmngplay: if play console is different from start console, bail
  out for now.
- splash.dsc: changes to keep quiet during shutdown.
- picture update
- animation update
* Tue Sep 18 2001 - stepan@suse.de
- changed splash.dsc since during early bootup current console
  can not be determined.
* Thu Sep 13 2001 - stepan@suse.de
- new version of fbmngplay because of new feature: only show
  animation on start console or other specifiable console
- new version of splash.dsc adopted for fbmngplay changes
* Thu Sep 13 2001 - ro@suse.de
-  added liblcms to neededforbuild
* Wed Sep 12 2001 - stepan@suse.de
- updated to fbmngplay-0.3 because of new feature: dynamic position
  calculation depending on current resolution.
- new version of splashutil: substring matching for log strings to
  get rid of static runlevel start priorities in splash.dsc
- new splash.dsc with parameters fitting the above changes.
* Wed Sep 12 2001 - stepan@suse.de
- jpeg pictures did not decompress correctly. using
  cjpeg optimized pictures again.
* Tue Sep 11 2001 - stepan@suse.de
- new bootsplash jpegs in 2 different resolutions now:
  800x600 and 1024x768(default)
* Mon Sep 10 2001 - stepan@suse.de
- new bootsplash.jpg with corrected text background color.
- repair pseudo function handling in rc scripts.
* Mon Sep 10 2001 - stepan@suse.de
- add bootsplash.jpg and bootsplash.cfg to /usr/share/splash/
  for new mk_initrd.
* Fri Sep 07 2001 - stepan@suse.de
- fbmngplay: fixed bug in alpha transparency code.
- implemented pseudo functions for missing rc script targets.
* Fri Sep 07 2001 - stepan@suse.de
- new fbmngplay. Now with better parameter parsing,
  allows multiple mngs to be played, start time
  triggerable by SIGUSR1. Support for 24/32 bit.
  buffered read support.
- new splash.dsc adopted to new fbmngplay.
* Wed Sep 05 2001 - ro@suse.de
- fixed start stop scripts
* Mon Sep 03 2001 - stepan@suse.de
- fixed bug that caused "splash" to hang while parsing
  config file.
- removed debug output from "splash"
- faster fadeout in fbmngplay
- updated animations
- moved splash.dsc from archive to rpm root
- added extra runlevel script for better animation control
- run splashctrl script in runlevels 3 and 5
* Thu Aug 23 2001 - stepan@suse.de
- initial version.
